#
# spec file for package lxqt-about
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lxqt-about
Version:        2.1.0
Release:        1.1
Summary:        LXQt About Dialog
License:        GPL-2.0-or-later AND LGPL-2.1-or-later
URL:            https://github.com/lxqt/lxqt-about
Source0:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.18.0
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(lxqt2-build-tools)
BuildRequires:  pkgconfig(lxqt) >= 2.1.0
Requires(post): desktop-file-utils
Requires(pre):  desktop-file-utils
Recommends:     %{name}-lang = %{version}-%{release}

%description
About dialog for LXQt

%lang_package

%prep
%autosetup

%build
%cmake_qt6
%{qt6_build}

%install
%{qt6_install}

%find_lang %{name} --with-qt

%files
%doc AUTHORS CHANGELOG README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.??g
%license COPYING

%files lang -f %{name}.lang
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/%{name}
%if 0%{?sle_version}
%{_datadir}/lxqt/translations/%{name}/%{name}_???.qm
%endif

%changelog
* Wed Nov  6 2024 Андрей Алыпов <and.november@opensuse.org>
- Update to version 2.1.0:
  * Pre-release changes
  * Use content of pt_PT file (#284)
  * Updated *.ts files (#283)
  * Weblate commits (#282)
  * Weblate commits (#281)
  * Weblate commits (#280)
  * Weblate commits (#279)
  * Added estion translatorsinfo (#278)
  * Update translators_tr.info (#277)
* Fri May 10 2024 Андрей Алыпов <and.november@opensuse.org>
- Update to 2.0.0:
  * Ported to Qt6.
* Mon Jan  1 2024 Shawn Dunn <sfalken@opensuse.org>
- Fixed %%dir declarations to clear buildfail
* Mon Nov  6 2023 Shawn Dunn <sfalken@opensuse.org>
- Update to 1.4.0:
  * Updated translations and bumped the version.
* Sat Apr 15 2023 Shawn Dunn <sfalken@opensuse.org>
- Update to 1.3.0:
  * Updated translations and bumped the version
* Sat Nov  5 2022 Shawn Dunn <sfalken@cloverleaf-linux.org>
- Update to 1.2.0:
  * Sort language names alphabetically.
  * Made directory paths clickable under "Technical Info".
* Fri Apr 29 2022 Michael Vetter <mvetter@suse.com>
- Update to 1.1.0:
  * Added lxqt-about icon and used it instead of the help-about icon.
* Mon Nov  8 2021 Michael Vetter <mvetter@suse.com>
- Update to 1.0.0:
  * Bumped version to 1.0.0 and made miscellaneous updates.
* Fri Apr 16 2021 Michael Vetter <mvetter@suse.com>
- Update to 0.17.0:
  * Moved to Qt5 signal/slot syntax.
* Wed Nov  4 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.16.0:
  * Bumped version to 0.16.0.
  * Fixed Razor-qt link.
  * Fixed Weblate links.
* Mon Apr 27 2020 Callum Farmer <callumjfarmer13@gmail.com>
- Changed lxqt-about.keyring to tsujan's key
* Fri Apr 24 2020 Callum Farmer <callumjfarmer13@gmail.com>
- Update to version 0.15.0
  * Bumped the version
  * Added translations
  * Did some code cleanups.
* Mon Jan 27 2020 Michael Vetter <mvetter@suse.com>
- Fix build: Add glib as BuildRequires
* Fri Mar  1 2019 mvetter@suse.com
- Update to 0.14.1:
  * Only translations was changed
* Thu Jan 31 2019 Michael Vetter <mvetter@suse.com>
- Update to 0.14.0:
  * Bumped version to 0.14.0
  * Translation updates
  * translatorsinfo: sort translators by language
  * Improved cmake scripting
  - Set cmake_minimum_required to 3.1.0
  - Removed locale compile definitons
  * Moved translations from lxqt-l10n back to lxqt-about
  - Removed obsolete translation fuctionality
  - Added translation promo in README.md
- Move translation from lxqt-l10n into package
* Tue May 22 2018 mvetter@suse.com
- Update to 0.12.0:
  * CMake: Prevent in-source builds
  * Fixed razor and http -> https
  * Fixed some LXDE mentions
  * Drop Qt foreach
  * Add Traditional Chinese translations
  * Add Simplified Chinese translations
  * Add Spanish desktop entry
  * translators_ru: Remove "Translator X." prefix
  * Make translators_lt.info tidy again
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.12.0:
  * Set patch version 0
  * Don't export github templates
  * Added Lithuanian translation
  * added myself
  * set Qt::AA_UseHighDpiPixmaps to true
  * Added a very basic cli (#39)
  * updated Polish translation
  * Update AUTHORS
- Remove post and postun
* Thu Feb 23 2017 sfalken@opensuse.org
- Update to 0.11.1:
  * Removed da_DK (keep da)
  * Added *da.desktop, renamed da_DK to da
  * .gitignore: Fix typo
  * Remove cpack (#34)
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0:
  * Extend README.md
  * translation: Fix language in _nl.desktop
  * Create lxqt-about_nl.desktop
  * Add translators_ca.info
  * Add Catalan translation
  * Add Arabic Translation for Desktop File and SafaAlFulaij As a Translator (#30)
  * .gitignore: Cleanup
  * build: Use external translations
  * ts-files removal (#28)
  * Bump AUTHORS year Fix license, lxqt-about is LGPL only
  * Italian translation update
  * Russian translation update
  * Updated german translation.
  * French translation:
  * Minor update of README.md
  * Delete country specific files
  * Add copyright symbol © to ‘About’ tab
  * Add simple README.md file
* Thu Nov  5 2015 mvetter@suse.com
- Upstream release 0.10.0
- Removing patches:
  * fix_desktop_categories.patch - Using sed in spec file now
* Thu Jul  9 2015 mvetter@suse.com
- Cleanup spec
- Use correct name "lxqt" instead of "lxde-qt"
* Fri Feb 20 2015 sfalken@opensuse.org
- Changed %%build and %%install to use cmake macros
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 0.9.0
* Sun Jan 25 2015 sfalken@opensuse.org
- Added conditionals to build for Fedora
* Fri Oct 24 2014 andrea@opensuse.org
- new upstream version 0.8.0
* Wed May 14 2014 andrea@opensuse.org
- removed unused buildrequires
* Tue May 13 2014 sfalken@opensuse.org
- Specfile cleanup
* Mon May 12 2014 sfalken@opensuse.org
- Removed fedora spec, split into subproject
  Del:  lxqt-about-Fedora_20.spec
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on openSUSE specfile
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  lxqt-about-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Removed desktop file patch (upstream fixes)
  Del:  0001-fix_desktop_file.patch
* Fri May  9 2014 sfalken@opensuse.org
- Added source tarball for new stable release
  Add:  lxqt-about-0.7.0.tar.xz
  Del:  _service
* Fri Apr  4 2014 sfalken@opensuse.org
- Added patch to correct .desktop file
  Add: 0001-fix_desktop_file.patch
* Fri Apr  4 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _service
  Add: lxqt-about.spec
  Add: lxqt-about.changes
